# DataExchange
TKXSBase
IFSelect

# IFSelect_HSeqOfSelection Class Reference

`#include <IFSelect_HSeqOfSelection.hxx>`

## Public Member Functions

| IFSelect_HSeqOfSelection ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(IFSelect_Selection)&anItem)
Standard_EXPORT void | Append (const Handle(IFSelect_HSeqOfSelection)&aSequence)
Standard_EXPORT void | Prepend (const Handle(IFSelect_Selection)&anItem)
Standard_EXPORT void | Prepend (const Handle(IFSelect_HSeqOfSelection)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(IFSelect_Selection)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(IFSelect_HSeqOfSelection)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(IFSelect_Selection)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(IFSelect_HSeqOfSelection)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_IFSelect_HSeqOfSelection | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(IFSelect_Selection)&anItem)
Standard_EXPORT const Handle_IFSelect_Selection & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_IFSelect_Selection & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const IFSelect_TSeqOfSelection & | Sequence () const
IFSelect_TSeqOfSelection & | ChangeSequence ()
Standard_EXPORT Handle_IFSelect_HSeqOfSelection | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IFSelect_TSeqOfSelection | mySequence

## Constructor & Destructor Documentation

IFSelect_HSeqOfSelection::IFSelect_HSeqOfSelection | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void IFSelect_HSeqOfSelection::Append | ( | const Handle(IFSelect_HSeqOfSelection)& | aSequence | ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::Append | ( | const Handle(IFSelect_Selection)& | anItem | ) |

IFSelect_TSeqOfSelection& IFSelect_HSeqOfSelection::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_IFSelect_Selection& IFSelect_HSeqOfSelection::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::Clear | ( |  | ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const IFSelect_HSeqOfSelection::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IFSelect_HSeqOfSelection::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(IFSelect_HSeqOfSelection)& | aSequence
| ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(IFSelect_Selection)& | anItem
| ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(IFSelect_HSeqOfSelection)& | aSequence
| ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(IFSelect_Selection)& | anItem
| ) |

Standard_Boolean IFSelect_HSeqOfSelection::IsEmpty | ( |  | ) | const

Standard_Integer IFSelect_HSeqOfSelection::Length | ( |  | ) | const

Standard_EXPORT void IFSelect_HSeqOfSelection::Prepend | ( | const Handle(IFSelect_HSeqOfSelection)& | aSequence | ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::Prepend | ( | const Handle(IFSelect_Selection)& | anItem | ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void IFSelect_HSeqOfSelection::Reverse | ( |  | ) |

const IFSelect_TSeqOfSelection& IFSelect_HSeqOfSelection::Sequence | ( |  | ) | const

Standard_EXPORT void IFSelect_HSeqOfSelection::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(IFSelect_Selection)& | anItem
| ) |

Standard_EXPORT Handle_IFSelect_HSeqOfSelection IFSelect_HSeqOfSelection::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_IFSelect_HSeqOfSelection IFSelect_HSeqOfSelection::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_IFSelect_Selection& IFSelect_HSeqOfSelection::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

IFSelect_TSeqOfSelection IFSelect_HSeqOfSelection::mySequence `[private]`

The documentation for this class was generated from the following file:

- IFSelect_HSeqOfSelection.hxx